Subject: A tool for executing Windows and DOS programs from bash
From: [email-masked] (Pete Jordan)

8 Aug 1997 10:36:01 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Original-To: [email-masked]
X-Mail-Software: Ameol2
X-URL: http://www.horus.cix.co.uk/
Original-Sender: [email-masked]

I've written a little launch program that translates pathnames from
GNU-Win32 format to Windows format so I can (for example) launch Word from
bash by typing:

	$word foo.doc
or:
	$word /usr/baz.doc

The way it works is you create a symlink ("word") to my program
(debash.exe) and add a line in an "/etc/debash" file that maps "word" onto
the actual location of the target program and describes something of the
sort of parameters that program requires.

The path portion of each filename parameter is then matched against the
mount table (with the path defaulting to `pwd`) and appropriate
substitutions are made before using spawnvp() to launch the target app.

It's a bit of a kludge ATM, but it does what I want so...

If anyone is interested, I can make it available - GPLed of course :)

Pete Jordan
= = = = = = = = = = = = = = = = = = = = = = =
Horus Communications
http://www.horus.cix.co.uk/
= = = = = = = = = = = = = = = = = = = = = = =
"Is a polar bear a rectangular bear after
 a coordinate transform?"
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".